Wait for Hug events
Returns the events after each cursor (after[hug_id]), waiting up to wait_ms (25 s at most) when there are none yet, and each Hug’s status.
No credential is needed from this machine. From another host, send Authorization: Bearer with a dispatch token CliqHub signed for this daemon or a cliq_tok_… personal token of a user in the daemon’s realm; this only works once the daemon is connected to CliqHub. See Authentication.
POST
/
v1
/
hugs
/
next
Wait for Hug events
curl --request POST \
--url http://127.0.0.1:4900/v1/hugs/next \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hug_ids": [
"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f"
],
"after": {
"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f": 0
},
"wait_ms": 25000
}
'import requests
url = "http://127.0.0.1:4900/v1/hugs/next"
payload = {
"hug_ids": ["6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f"],
"after": { "6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f": 0 },
"wait_ms": 25000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hug_ids: ['6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f'],
after: {'6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f': 0},
wait_ms: 25000
})
};
fetch('http://127.0.0.1:4900/v1/hugs/next', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/hugs/next",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'hug_ids' => [
'6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f'
],
'after' => [
'6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f' => 0
],
'wait_ms' => 25000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/hugs/next"
payload := strings.NewReader("{\n \"hug_ids\": [\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\"\n ],\n \"after\": {\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\": 0\n },\n \"wait_ms\": 25000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/hugs/next")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"hug_ids\": [\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\"\n ],\n \"after\": {\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\": 0\n },\n \"wait_ms\": 25000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/hugs/next")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"hug_ids\": [\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\"\n ],\n \"after\": {\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\": 0\n },\n \"wait_ms\": 25000\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"events": [
{
"hug_id": "6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f",
"seq": 1,
"type": "response",
"response": {
"response_id": "r-1",
"responder": {
"user_id": "u-1",
"name": "Ann"
},
"via": [
"security"
],
"values": {
"decision": "approve"
},
"responded_at": "2026-10-07T10:20:00Z"
}
}
],
"hugs": [
{
"hug_id": "6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f",
"status": "open"
}
]
}
}
Authorizations
Not needed from the same machine. From another host: a dispatch JWT CliqHub signed for this daemon, or a cliq_tok_… personal token whose user is in the daemon's realm.
Body
application/json
⌘I
Wait for Hug events
curl --request POST \
--url http://127.0.0.1:4900/v1/hugs/next \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hug_ids": [
"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f"
],
"after": {
"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f": 0
},
"wait_ms": 25000
}
'import requests
url = "http://127.0.0.1:4900/v1/hugs/next"
payload = {
"hug_ids": ["6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f"],
"after": { "6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f": 0 },
"wait_ms": 25000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hug_ids: ['6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f'],
after: {'6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f': 0},
wait_ms: 25000
})
};
fetch('http://127.0.0.1:4900/v1/hugs/next', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/hugs/next",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'hug_ids' => [
'6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f'
],
'after' => [
'6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f' => 0
],
'wait_ms' => 25000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/hugs/next"
payload := strings.NewReader("{\n \"hug_ids\": [\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\"\n ],\n \"after\": {\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\": 0\n },\n \"wait_ms\": 25000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/hugs/next")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"hug_ids\": [\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\"\n ],\n \"after\": {\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\": 0\n },\n \"wait_ms\": 25000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/hugs/next")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"hug_ids\": [\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\"\n ],\n \"after\": {\n \"6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f\": 0\n },\n \"wait_ms\": 25000\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"events": [
{
"hug_id": "6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f",
"seq": 1,
"type": "response",
"response": {
"response_id": "r-1",
"responder": {
"user_id": "u-1",
"name": "Ann"
},
"via": [
"security"
],
"values": {
"decision": "approve"
},
"responded_at": "2026-10-07T10:20:00Z"
}
}
],
"hugs": [
{
"hug_id": "6c2d1e0f-9a8b-4c7d-8e6f-5a4b3c2d1e0f",
"status": "open"
}
]
}
}